%bcond_with bootstrap

Name:           maven-enforcer
Version:        3.4.1
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven Enforcer
License:        Apache-2.0
URL:            https://maven.apache.org/enforcer
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/enforcer/enforcer/%{version}/enforcer-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(javax.annotation:javax.annotation-api)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.aether:aether-api)
BuildRequires:  mvn(org.eclipse.aether:aether-util)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.slf4j:slf4j-api)
%endif

%description
Enforcer is a build rule execution framework.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%package api
Summary:        Enforcer API

%description api
This component provides the generic interfaces needed to
implement custom rules for the maven-enforcer-plugin.

%package rules
Summary:        Enforcer Rules

%description rules
This component contains the standard Enforcer Rules.

%package plugin
Summary:        Enforcer Plugin

%description plugin
The Enforcer plugin provides goals to control certain environmental
constraints such as Maven version, JDK version and OS family along
with many more built-in rules and user created rules.

%package extension
Summary:        Maven Enforcer Extension

%description extension
The Enforcer Extension provides a way to globally define rules without
making use of pom inheritence. This way you don't have to adjust the
pom.xml, but you can enforce a set of rules.


%prep
%setup -q -n enforcer-%{version}
find -name '*.java' -exec sed -i 's/\r//' {} +

find -name EvaluateBeanshell.java -delete

%pom_remove_dep org.junit:junit-bom
%pom_remove_dep :bsh enforcer-rules
%pom_add_dep javax.annotation:javax.annotation-api maven-enforcer-plugin

%pom_add_plugin org.eclipse.sisu:sisu-maven-plugin maven-enforcer-plugin

%build
# Use system version of maven-enforcer-plugin instead of reactor version
%mvn_build -s -f -- -Dversion.maven-enforcer-plugin=SYSTEM -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles-enforcer
%doc LICENSE NOTICE

%files api -f .mfiles-enforcer-api
%doc LICENSE NOTICE

%files rules -f .mfiles-enforcer-rules

%files plugin -f .mfiles-maven-enforcer-plugin

%files extension -f .mfiles-maven-enforcer-extension

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Mon Dec 23 2024 daviddavid <daviddavid> 3.4.1-2.mga10
+ Revision: 2129432
- Set Java release to 11 to build with JDK 21

* Wed May 22 2024 ns80 <ns80> 3.4.1-1.mga10
+ Revision: 2066091
- new version 3.4.1 for java 21
+ daviddavid <daviddavid>
- Update to upstream version 3.4.0

* Mon Jul 25 2022 neoclust <neoclust> 3.0.0-2.mga9
+ Revision: 1871063
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.0.0-1.mga9
+ Revision: 1870648
- New version 3.0.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 03 2020 daviddavid <daviddavid> 3.0.0-0.M3.1.mga8
+ Revision: 1621340
- Update to version 3.0.0-M3
- Rebuilt for JDK-11
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Nov 18 2018 guillomovitch <guillomovitch> 1.4.1-8.mga7
+ Revision: 1331047
- sync with fedora

* Wed Sep 19 2018 umeabot <umeabot> 1.4.1-7.mga7
+ Revision: 1264052
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.4.1-6.mga6
+ Revision: 1101395
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.4.1-4.mga6
+ Revision: 977295
- First rebuild of the java stack
- sync package maven-enforcer with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 1.3.1-7.mga5
+ Revision: 806466
- Add missing BuildRequires
- Clean rebuild
- Clean rebuild
- Update BuildRequires
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 538164
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 1.3.1-1.mga4
+ Revision: 488770
- New version

* Mon Jul 08 2013 dmorgan <dmorgan> 1.2-2.mga4
+ Revision: 451357
- Add mising R: forge-parent

* Mon Jul 08 2013 dmorgan <dmorgan> 1.2-1.mga4
+ Revision: 451341
- Update to upstream version 1.2

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 359636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.1.1-1.mga3
+ Revision: 325852
- New version

* Sun Jul 08 2012 dmorgan <dmorgan> 1.0.1-3.mga3
+ Revision: 268861
- Migration to plexus-containers-component-metadata
- Maven3 compatibility patches
- Minor spec file changes according to the latest guidelines

* Sun Jul 24 2011 dmorgan <dmorgan> 1.0.1-2.mga2
+ Revision: 128146
- Removal of plexus-maven-plugin dependency (not needed)
- New version 1.0.1

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-2.mga1
+ Revision: 92700
- Rebuild after bootstrapping
- imported package maven-enforcer


* Thu Mar 10 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-1
- Update to latest upstream (1.0)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.b2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0-0.2.b2
- Fix FTBFS (#631388)
- Use new maven plugin names
- Versionless jars & javadocs

* Wed May 19 2010 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.1.b2
- Initial package

